#include<bits/stdc++.h>
using namespace std;
long long tochki[10000005];
int main(){
long long n;
long long first,second;
long long maks=0,br=0;
cin>>n;
for(long long i=0;i<n;i++){
    cin>>first>>second;
    //cin>>koord[i][0]>>koord[i][1];
    for(long long j=first;j<second;j++){
        tochki[j]++;
        if(tochki[j]>maks){
            maks=tochki[j];
            br=1;
        }else{
            if(tochki[j]==maks){
                br++;
            }
        }
    }
}
cout<<maks<<endl<<br<<endl;
return 0;
}